Page MenuHomePhabricator

Pre-evaluation GSOC & Outreachy IRC meetings
Closed, ResolvedPublic

Description

Previous organization administrators and mentors have suggested organizing IRC meetings for GSOC & Outreachy candidates. So, for the current round, we are incorporating this idea.

Throughout the course of both programs, we'll have meetings (how many that we'll figure out along the way.. all meetings will be held on #wikimedia-devrel ).

The goal of these meetings would be to give candidates an opportunity to not only meet with fellow participants but also learn about their work, ask them questions, announce what they are up to more in the open, and ask any program specific questions from admins. We're also hoping that this process will make the evaluation process much more easy and transparent for all of us, as we've had some issues in the past.

This meeting is optional for mentors but mandatory for students.

Meeting 1: Tuesday, June 20th, 2017, 17:00 UTC

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2017, 11:57 PM
happy5214 added a comment.EditedJun 13 2017, 1:47 AM

Is that 1600-1700 UTC (which is 0900-1000 PDT) or 1700-1800 (as listed)? That might be a very difficult time for me.

@srishakatux: It would be less confusing to use a standardized time zone (UTC) instead of a random local time zone that is only used 8 months a year. Thanks!

Mvolz added a subscriber: Mvolz.Jun 13 2017, 9:38 AM

Was this discussed anywhere else first before deciding on this? I am
worried about having mandatory meetings on specific dates and times because
we have many students all in different timezones and with different
schedules.

Mvolz updated the task description. (Show Details)Jun 13 2017, 9:42 AM
harshcrop added a subscriber: harshcrop.

(Just commenting on the hours, not in the opportunity of these meetings)

I usually create an event at timeanddate.com and then use the resulting link, which makes it very easy for everyone to check their local time. Another option that we have now is Phabricator's Calendar, which includes the possibility to import an event to whatever calendar application people use, of course in their own timezone.

srishakatux added a comment.EditedJun 13 2017, 7:23 PM

Thanks @Qgil and @Aklapper for the suggestion! I will add it to the description.

@Mvolz Hi! I Ieft a note about it in the Zulip group chat a few weeks ago that this was coming. We have students from three different time zones (9 belonging to IST (Indian) + 1 to IST (Israel) and 1 to CDT). I mostly considered a time which may not be too late for everyone but yes I should have done a check-in with candidates first!! After I hear your thoughts, I will send participants a doodle poll for better scheduling.
About the 'mandatory' part, if we don't keep it that way, no one will show up and we will run into the same problem again. After having a chat with previous organization administrators, I came up with this idea of organizing weekly IRC check-ins. Do you have any suggestions for doing it better?

srishakatux updated the task description. (Show Details)Jun 14 2017, 8:39 PM

Doodle poll shared with all participants for the first meeting > https://beta.doodle.com/poll/d6sztgd4r3fm9bzs

srishakatux updated the task description. (Show Details)Jun 16 2017, 7:47 PM

First meeting is on Tuesday, June 20th, 2017, 17:00 UTC. Mentors and students have been notified.

srishakatux added a comment.EditedJun 21 2017, 9:36 PM

Logs from first meeting are here

As a follow-up of this meeting, we created a Request for feedback & Social thread on the Zulip group gsoc17-outreachy14.

Overview of discussion points of this meeting are below:

  • Introductions
  • Brief summary of project candidates are working on
  • Their aha moments or frustrations while coding to share with the group
  • Current status of their project
  • Their project goals for the first evaluation. On track?
  • Q&A about the program timeline
srishakatux renamed this task from Bi-weekly GSOC & Outreachy IRC meetings to Pre-evaluation GSOC & Outreachy IRC meetings .Jun 27 2017, 2:16 AM
srishakatux lowered the priority of this task from High to Normal.
srishakatux lowered the priority of this task from Normal to Low.
srishakatux closed this task as Resolved.Aug 18 2017, 10:04 AM

We had one meeting, and there wasn't much value in hosting them again due to reporting in multiple venues, so closing this task for now!